/* This file is part of the KDE libraries
    Copyright (C) 2006 Ralf Habacker (ralf.habacker@freenet.de)

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifndef KPROCESS_H
#define KPROCESS_H

#if 0
#include <kdelibs_export.h>
#else
#define KDECORE_EXPORT 
#endif

#include <qprocess.h>

class KProcessPrivate;

/**
 * Child process invocation, monitoring and control.
 *
 **/
class KDECORE_EXPORT KProcess : public QProcess
{
  Q_OBJECT
public:
  KProcess(QObject *parent=0);
  ~KProcess();
	void startShell( const QString & program, const QStringList & arguments );
	static int executeShell( const QString & program, const QStringList & arguments );
  
private:
  KProcessPrivate* d;
};


#endif

